########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/p_recurr.4gs/globals.4gl  1.7  Delta: 1/4/91
########################################################################

database standard

globals
    define
        m_pinvce record like stpinvce.*, # record like invoice table
        progid   char(17),               # program identification
        rpt record                       # record for the report
            file_type like stpinvce.file_type,
            ref_no like stpinvce.ref_no,
            debit_credit like stpinvcd.debit_credit,
            line_no like stpinvcd.line_no,
            due_date like stpinvce.due_date,
            disc_date like stpinvce.disc_date,
            po_no like stpinvce.po_no,
            po_date like stpinvce.po_date,
            co_name like stxcntrc.co_name,
            recurr_ref like stpinvce.recurr_ref,
            inv_date like stpinvce.inv_date,
            vend_code like stpinvce.vend_code,
            bus_name like stpvendr.bus_name,
            inv_no like stpinvce.inv_no,
            inv_desc like stpinvce.inv_desc,
            acct_no like stpinvcd.acct_no,
            department like stpinvcd.department,
            description char(30),
            amount like stpinvcd.amount,
            ap_acct_no like stpinvce.ap_acct_no,
            ap_department like stpinvce.ap_department,
            ap_desc char(30),
            ap_amount like stpinvce.ap_amount,
            ap_debit_credit like stpinvce.ap_debit_credit,
            db_amount decimal(11,2),
            cr_amount decimal(11,2)
        end record,
        curs record                 # record like the cursor
            file_type like stpinvce.file_type,
            ref_no like stpinvce.ref_no,
            debit_credit like stpinvcd.debit_credit,
            line_no like stpinvcd.line_no,
            due_date like stpinvce.due_date,
            disc_date like stpinvce.disc_date,
            po_no like stpinvce.po_no,
            po_date like stpinvce.po_date,
            doc_no like stpinvce.doc_no,
            inv_date like stpinvce.inv_date,
            vend_code like stpinvce.vend_code,
            bus_name like stpvendr.bus_name,
            inv_no like stpinvce.inv_no,
            inv_desc like stpinvce.inv_desc,
            acct_no like stpinvcd.acct_no,
            department like stpinvcd.department,
            amount like stpinvcd.amount,
            ap_acct_no like stpinvce.ap_acct_no,
            ap_department like stpinvce.ap_department,
            ap_amount like stpinvce.ap_amount,
            ap_debit_credit like stpinvce.ap_debit_credit,
            recurr_ref like stpinvce.recurr_ref
        end record,
        curs_next record            # next row of cursor
            file_type like stpinvce.file_type,
            ref_no like stpinvce.ref_no,
            debit_credit like stpinvcd.debit_credit,
            line_no like stpinvcd.line_no,
            due_date like stpinvce.due_date,
            disc_date like stpinvce.disc_date,
            po_no like stpinvce.po_no,
            po_date like stpinvce.po_date,
            doc_no like stpinvce.doc_no,
            inv_date like stpinvce.inv_date,
            vend_code like stpinvce.vend_code,
            bus_name like stpvendr.bus_name,
            inv_no like stpinvce.inv_no,
            inv_desc like stpinvce.inv_desc,
            acct_no like stpinvcd.acct_no,
            department like stpinvcd.department,
            amount like stpinvcd.amount,
            ap_acct_no like stpinvce.ap_acct_no,
            ap_department like stpinvce.ap_department,
            ap_amount like stpinvce.ap_amount,
            ap_debit_credit like stpinvce.ap_debit_credit,
            recurr_ref like stpinvce.recurr_ref
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals
