######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  %Z%  %M%  %I%  Delta: %G%
######################################################################

database standard

globals
    define

        ##############################################################
        # Codegen area
        ##############################################################
        # Global variables in this section will be overwritten
        # during a re-generation of source code.
        # Place any custom global variables above this section.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        orig_ap_balanced like stpcntrc.ap_balanced,
        m_xcntrc record like stxcntrc.*,
        m_pcntrc record like stpcntrc.*,  # Record like the header table
        p_pcntrc record   # Record like the header screen
            terms_code like stpcntrc.terms_code,
            terms_desc like stptermr.terms_desc,
            ap_acct_no like stpcntrc.ap_acct_no,
            cd_cash_acct_no like stpcntrc.cd_cash_acct_no,
            cd_disc_acct_no like stpcntrc.cd_disc_acct_no,
            age_datetype like stpcntrc.age_datetype,
            age_dsc1 like stpcntrc.age_dsc1,
            age_dsc2 like stpcntrc.age_dsc2,
            age_dsc3 like stpcntrc.age_dsc3,
            age_dsc4 like stpcntrc.age_dsc4,
            age_per1 like stpcntrc.age_per1,
            age_per2 like stpcntrc.age_per2,
            age_per3 like stpcntrc.age_per3,
            federal_tax_id like stpcntrc.federal_tax_id,
            dflt_1099 like stpcntrc.dflt_1099,
            ap_balanced like stpcntrc.ap_balanced
        end record,
        q_pcntrc record   # Parallel header record
            row_id integer  # SQL rowid
        end record,

        ###############################################################
        # Library communication area 3.51.00
        ###############################################################
        # Global variables in this section should not be changed.
        # They are used to communicate to the screen library functions,
        # and must be of the same type as defined in the library.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        progid       char(17),   # Program identification
        scr_id       char(7),    # Current screen id
        menu_item    char(10),   # Current menu item running
        scr_funct    char(20),   # Current screen function being run
        sql_filter   char(512),  # Filter portion of SQL statement
        sql_order    char(100),  # Order portion of SQL statement
        input_num    smallint,   # Current input section within screen
        p_cur        smallint,   # Current input array element
        s_cur        smallint,   # Current screen array element
        scr_fld      char(40),   # Current screen field
        nxt_fld      char(40),   # Programmatic next screen field
        prev_data    char(80),   # Data before field entry
        this_data    char(80),   # Data after field entry
        data_changed smallint,   # Has the field data changed?
        hotkey       smallint,   # The hot key that has been pressed
        scratch      char(2047)  # Scratchpad for scribbling on and
                                 # communicating between functions
        # End library communication area
        ###############################################################

end globals
