######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  %Z%  %M%  %I%  Delta: %G%
######################################################################

globals "globals.4gl"

######################################################################
main
######################################################################
#
    # Trap fatal errors
    whenever error call error_handler

    clear screen
    defer interrupt
    let progid = "ap.i_contrl"
    call put_scrlib("version", "3.51.00")
    call put_scrlib("dbname", "standard")

    open window win1 at 2,3 with 22 rows, 76 columns
      attribute (border, blue)
    call init()

    clear window win1
    open window win2 at 2,3 with 22 rows, 76 columns
      attribute (white)
    open form screen1 from "screen"
    call xcontrol() returning m_xcntrc.*
    display form screen1
    call ring_header()
    exit program (0)
end main

######################################################################
function switchbox(funct)
######################################################################
# This is the switchbox function for version 3.0+ screens.
# It is used to pass flow control to the appropriate screen functions.
#
    define
        funct char(20)   # Function to pass on to the screen

    # Post the current function
    let scr_funct = funct

    # Pass flow control to the appropriate screen
    case
      when scr_id = "aptermz" call aptermz()
      when scr_id = "chrtz" call chrtz()
      when scr_id = "chrtz" call chrtz()
      when scr_id = "ckrgz" call ckrgz()
      when scr_id = "default" call lib_screen()
      otherwise let scratch = "no screen"
    end case

    # Reset scr_funct upon return
    let scr_funct = ""

end function
# switchbox()

##################################################################
function ok_browse()
# returning true or false based upon ok to delete
##################################################################
#
call fg_err(32) #This function has been disabled
return false
end function
# ok_browse

##################################################################
function ok_delete()
# returning true or false based upon ok to delete
##################################################################
#

call fg_err(32) #This function has been disabled
return false
end function
# ok_delete

##################################################################
function ok_add()
# returning true or false based upon ok to delete
##################################################################
#

call fg_err(32) #This function has been disabled
return false
end function
# ok_add

##################################################################
function ok_find()
# returning true or false based upon ok to delete
##################################################################
#

call fg_err(32) #This function has been disabled
return false
end function
# ok_find

##################################################################
function ok_next()
# returning true or false based upon ok to delete
##################################################################
#

call fg_err(32) #This function has been disabled
return false
end function
# ok_next

##################################################################
function ok_prev()
# returning true or false based upon ok to delete
##################################################################
#

call fg_err(32) #This function has been disabled
return false
end function
# ok_prev
