########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/p_voidck.4gs/globals.4gl  1.8  Delta: 1/31/91
########################################################################

database standard

globals
    define
        scratch  char(2048),        # global scratchpad variable
        progid   char(17),          # program identification
        p_cur_row integer,          # current/next row counter
        header_row integer,         # temp header rowid storage
        old_header_row integer,     # temp storage for last header rowid
        post_gl record
            gl_installed char(1),
            last_doc_no integer,
            status smallint,
            description char(60),
            acct_period char(2),
            acct_year char(4),
            acct_desc char(30),
            incr_with_crdt char(1),
            signed_amount like stgactvd.amount,
            cr_accum like stgactvd.amount,
            db_accum like stgactvd.amount
        end record,
        post_ap record
            ap_installed char(1),
            ap_balanced char(1),
            last_doc_no integer,
            status smallint,
            description char(60),
            ap_accum like stgactvd.amount,
            disc_accum like stgactvd.amount
        end record,
        rpt record                  # record for the report
            doc_no like stpvoidr.doc_no,
            heading char(40),
            co_name like stxcntrc.co_name,
            post_seq char(40),
            txt_doc_no char(10),
            doc_date date,
            inv_chk_no like stxckrgd.inv_chk_no,
            ref_code char(6),
            vend_name char(30),
            doc_desc char(30),
            txt_line char(74),
            messg1 char(80),
            problm0 char(80),
            problm1 char(80),
            problm2 char(80),
            problm3 char(80),
            chk_doc_no like stpvoidr.chk_doc_no
        end record,
        curs record                 # record like the cursor
            doc_no like stpvoidr.doc_no,
            chk_doc_no like stpvoidr.chk_doc_no
        end record,
        curs_next record            # next row of cursor
            doc_no like stpvoidr.doc_no,
            chk_doc_no like stpvoidr.chk_doc_no
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record,
        check_post char(5),         # set to Check or Post
        new_doc_no integer,         # new cash disburstment number
        post_no integer,            # new posting number
        cash_total like stgactvd.amount,
        vendor_code like stpvendr.vend_code
end globals

